/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Vascular Indices And Ratios
 */
public enum EnumCV_VascularIndicesAndRatios {

	//Vascular Indices And Ratios - CID 12121
	ACCELERATION_INDEX_20167_3("20167-3"),
	LUMEN_AREA_STENOSIS_R_101BA("R-101BA"),
	LUMEN_DIAMETER_STENOSIS_R_101BB("R-101BB"),
	PULSATILITY_INDEX_12008_9("12008-9"),
	RESISTIVITY_INDEX_12023_8("12023-8"),
	SYSTOLIC_TO_DIASTOLIC_VELOCITY_RATIO_12144_2("12144-2"),
	VELOCITY_RATIO_33867_3("33867-3");

	private String value;

	EnumCV_VascularIndicesAndRatios(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
